import initCtx from "@/utils/ctx.js";

export default function () {
	const {utils, Tea} = initCtx(this)

	this.setPriceType = function (priceType) {
		this.priceType = priceType
	}

	this.formatGB = function (gb) {
		if (gb == 0) {
			return "∞"
		}
		return utils.formatBytes(gb * 1024 * 1024 * 1024)
	}

	this.formatMB = function (mb) {
		if (mb == 0) {
			return "∞"
		}
		return utils.formatBits(mb * 1024 * 1024)
	}
}